> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/ar/installation-setup/installation/alwajhh-alkhlfyh-lqaadh-albyanat/mariadb.md).

# MariaDB

باستخدام محرك التخزين MariaDB يمكنك استخدام أي إعداد MariaDB كخلفية ngSurvey الخاصة بك.&#x20;

## المتطلبات

لتثبيت ngSurvey على قاعدة بيانات MariaDB ستحتاج إلى استيفاء المتطلبات التالية

1. إصدار MariaDB 10.6.x أو أحدث.
2. المستخدم المستخدم للاتصال بخادم MariaDB يجب أن يملك صلاحيات كافية لاستخدام قاعدة بيانات نظام MariaDB لإنشاء قاعدة البيانات.&#x20;
3. إذا كان التسجيل الثنائي (binary logging) ممكّنًا يجب تعيين المتغير log\_bin\_trust\_function\_creators إلى 1 إما في ملف تكوين MySQL الخاص بك أو باستخدام الاستعلام التالي.\
   `SET GLOBAL log_bin_trust_function_creators = 1;`
4. إصدار MariaDB على نظام Windows يتطلب تحميل جداول بيانات المنطقة الزمنية. يمكنك اتباع هذا [tutorial](https://www.geeksengine.com/article/populate-time-zone-data-for-mysql.html) لتحميل بيانات المنطقة الزمنية على خادم MariaDB الخاص بك العامل على Windows.

## تكوين NGSurvey

لكي تقوم بتكوين ngSurvey للعمل مع MariaDB تحتاج إلى إعداد متغيرات البيئة التالية.

{% hint style="info" %}
سيقوم NGSurvey تلقائيًا بإنشاء أو تحديث قاعدة البيانات التي قمت بتحديدها في سلسلة الاتصال.&#x20;
{% endhint %}

* **`ConnectionStrings:NGSurveyDB`** يحتوي على سلسلة الاتصال بخادم MariaDB الخاص بك.
* **`NGSurvey:StorageEngine`** يجب تعيينه إلى *MariaDB.*

## فحص الحالة

بمجرد أن تقوم بتكوين إعدادات قاعدة البيانات يمكنك إعادة تشغيل خدمة الويب التي تستضيف ngSurvey. سيقوم NGSurvey تلقائيًا بإعداد قاعدة البيانات بكل الجداول المطلوبة.

يمكنك أيضًا التحقق مما إذا كان التثبيت مضبوطًا بشكل صحيح باستخدام الرابط التالي :\
<https://yourrootsite/api/system/status>

## تحميل الملفات

إذا كنت تخطط لجمع ملفات من المستجيبين باستخدام إجابات تحميل الملفات فتأكد من تعيين قيمة max\_allowed\_packet كبيرة في ملف تكوين MySQL الخاص بك لأن هذا يحدد الحد الأقصى لحجم الملفات التي سيتم تخزينها في قاعدة بيانات MySQL الخاصة بك

```
[mysqld]
max_allowed_packet=512M
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/ar/installation-setup/installation/alwajhh-alkhlfyh-lqaadh-albyanat/mariadb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
